libcdio-paranoia (10.2+2.0.1-1) unstable; urgency=medium

  * New upstream release
  * New maintainer (Closes: #881910)
  * Add Vcs-* fields in d/control
  * Bump Standards-Version to 4.6.1 (no change)
  * Fix typo in package description of cd-paranoia
  * Add DEP-3 header for patch 06_fix_japanese_manpage_location
  * Add Build-Depends-Package field in d/*.symbols
  * Add patch to fix manpage formatting
  * Add autopkgtests

 -- Philippe SWARTVAGHER <phil.swart@gmx.fr>  Thu, 18 Aug 2022 20:43:37 +0200

libcdio-paranoia (10.2+2.0.0-1) unstable; urgency=medium

  * New upstream release.
  * watch: Updated.
  * control: Re-enable packaging cd-paranoia, with Breaks/Replaces this
    time. (Closes: #889803)
  * symbols: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 06 Aug 2019 11:31:40 +0300

libcdio-paranoia (10.2+0.94+2-4) unstable; urgency=medium

  * QA upload.
  * Remove cd-paranoia package again; the binary is also provided by
    libcdio-utils.  (Reopens: #889803, Closes: #906112)

 -- Niels Thykier <niels@thykier.net>  Tue, 14 Aug 2018 18:58:20 +0000

libcdio-paranoia (10.2+0.94+2-3) unstable; urgency=medium

  * QA upload.
  * Set Rules-Requires-Root to no.
  * Install README.md instead of README and remove obsolete
    reference to a TODO file.  (Closes: #881910)
  * Bump debhelper compat to 11 and rewrite debian/rules.
  * Remove (now) redundant Build-Depends on dh-autoreconf.
  * Update the Homepage field and the watch file to use https
    for upstream's website.
  * Add cd-paranoia package.  Thanks to Pavel Sofishchenko
    for the patches.  (Closes: #889803)
  * Reference the versioned GPL and GFDL license files from
    debian/copyright instead of the unversioned variants.
  * Remove redundant section fields from debian/control.
  * Enable bindnow hardening on most binaries.

 -- Niels Thykier <niels@thykier.net>  Sat, 11 Aug 2018 09:13:40 +0000

libcdio-paranoia (10.2+0.94+2-2) unstable; urgency=medium

  * Update symbols file for KFreeBSD and Hurd.

 -- Matthias Klose <doko@debian.org>  Wed, 15 Nov 2017 06:47:38 +0100

libcdio-paranoia (10.2+0.94+2-1) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.
  * Orphan the package. See #881719.

 -- Matthias Klose <doko@debian.org>  Wed, 15 Nov 2017 00:01:59 +0100

libcdio-paranoia (10.2+0.94+2-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Split out the paranoia packages, now built from a separate source.
    Closes: #784029.
  * Bump soversions, update symbols files.
  * Build-depend on libcdio-dev (>= 0.94) and pkg-config.

 -- Matthias Klose <doko@debian.org>  Thu, 26 Oct 2017 19:35:15 +0200

libcdio (0.83-4.3) unstable; urgency=medium

  * NMU
  * Run tests using TZ=UTC to avoid breakage in libcdio with weird time
    zones. Closes: #795690
  * Move Japanese manpages to the right directory. Closes: #850628
  * Switch to multi-arch; thanks to Francois Gouget and Matthias Klose for
    very similar patches. Closes: #777222,#812915

 -- Steve McIntyre <93sam@debian.org>  Sat, 28 Jan 2017 13:52:41 +0000

libcdio (0.83-4.2) unstable; urgency=low

  * Non-maintainer upload with maintainers permission.
  * Use the dh-autoreconf to build on ppc64el. Closes: #732286

 -- Andreas Barth <aba@ayous.org>  Mon, 01 Sep 2014 21:07:08 +0000

libcdio (0.83-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use the autotools-dev dh addon to update config.guess/config.sub for
    arm64 (closes: #725929)

 -- Colin Watson <cjwatson@debian.org>  Thu, 14 Nov 2013 11:19:40 +0000

libcdio (0.83-4) unstable; urgency=low

  * Rebuild for unstable.

 -- Nicolas Boullis <nboullis@debian.org>  Thu, 14 Jun 2012 09:59:38 +0200

libcdio (0.83-3) experimental; urgency=low

  * debian/patches/05_revert_iso9660_set_pvd: New patch to prevent a FTBFS
      in vcdimager.

 -- Nicolas Boullis <nboullis@debian.org>  Tue, 13 Mar 2012 00:01:55 +0100

libcdio (0.83-2) experimental; urgency=low

  * libcdio-cdda1.symbols, libcdio-paranoia1.symbols, libcdio13.symbols,
    libiso9660-8.symbols, libudf0.symbols: Add symbols files for the
    libraries.

 -- Nicolas Boullis <nboullis@debian.org>  Sun, 19 Feb 2012 15:59:24 +0100

libcdio (0.83-1) experimental; urgency=low

  * New upstream release. (Closes: #647310)
  * debian/control, debian/*.install: Update the package names to track
      the sonames.
  * debian/libcdio-dev.install: Include the new header files.
  * debian/patches/00_manpage_fix_progname,
    debian/patches/02_fix_posixness,
    debian/patches/04_avoid_make_check_failure_when_stderr_is_not_a_tty:
      Refresh.
  * debian/patches/01_do_not_rebuild_manpages,
    debian/patches/03_avoid_make_check_failure_with_no_disc_drive,
    debian/patches/05_avoid_unaligned_reads: Remove.

 -- Nicolas Boullis <nboullis@debian.org>  Fri, 30 Dec 2011 00:04:49 +0100

libcdio (0.81-5) unstable; urgency=low

  * The "Thank you Regis for your work" release.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Split the big monolithic patch into several patches managed with
    quilt.
  * debian/rules: Add targets build-arch and build-indep, as suggested by
    lintian.
  * debian/compat: Switch to debhelper compatibility version 8.
    - debian/control: Update the Build-Depends accordingly.
    - debian/rules: No need to manually remove build-stamp any more in the
      clean target.
    - debian/rules: Replace the call to "dh_clean -k" (deprecated) with a
      call to dh_prep.
  * debian/control: Add ${misc:Depends} to the Depends field of all binary
    packages that lacked it, as suggested by lintian.
  * debian/control: Add "dpkg (>= 1.15.4) | install-info" to the
    dependencies of libcdio-dev, as suggested by lintian an policy 12.2.
  * debian/watch: Clean up, as suggested by lintian.
  * debian/control: Bump Standards-Version: to 3.9.2.

 -- Nicolas Boullis <nboullis@debian.org>  Thu, 29 Dec 2011 00:50:02 +0100

libcdio (0.81-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Stop shipping la files. Closes: #633327.
  * Use kfreebsd-any instead of a hardcoded list of kfreebsd-* architectures.
    Closes: #634360.

 -- Regis Boudin <regis@debian.org>  Sat, 08 Oct 2011 20:32:14 +0100

libcdio (0.81-4) unstable; urgency=low

  * Rebuild for unstable.
  * Fix the call to dh_shlibdeps.

 -- Nicolas Boullis <nboullis@debian.org>  Sun, 05 Jul 2009 19:54:09 +0200

libcdio (0.81-3) experimental; urgency=low

  * Avoid unaligned reads that cause bus errors on sparc.
  * Replace dpkg-awk with grep-dctrl.
  * Bump Standards-Version to 3.8.2:
    - Support the nocheck build option.

 -- Nicolas Boullis <nboullis@debian.org>  Sat, 20 Jun 2009 00:22:51 +0200

libcdio (0.81-2) experimental; urgency=low

  * Make sure that the check_paranoia.sh won't fail because stderr is not
    a tty.

 -- Nicolas Boullis <nboullis@debian.org>  Thu, 18 Jun 2009 21:52:30 +0200

libcdio (0.81-1) experimental; urgency=low

  * New upstream release. (Closes: #489245, #520614)
    - Includes updated config.{guess,sub} that know about avr32.
      (Closes: #528645)
  * Update the package names to track the sonames.
  * Re-add the info documentation since it now is under the GFDL v1.2 with
    no invariant section, no front-cover text and no back-cover text,
    which is thought to be DFSG-compliant.
  * Update the debian/copyright file to reflect the the change of licence
    of the program (GPL v2 or above to GPL v3 or above) and info
    documentation, and to improve it (many copyright owners were missing).
  * Added 'posixness_fix' patch to correct POSIX incompatibilities, thanks
    to Marc Dequènes (Duck). (Closes: #530516)

 -- Nicolas Boullis <nboullis@debian.org>  Fri, 12 Jun 2009 00:05:44 +0200

libcdio (0.78.2+dfsg1-3) unstable; urgency=low

  * Fix the time-conversion functions of libiso9660, taking the changes
    from CVS. This caused the build to fail when running the regression
    tests if the build was run at the wrong time. Thanks to Lucas Nussbaum
    for reporting the problem. (Closes: #482511)
  * Add libcam-dev to libcdio-dev's dependencies for kfreebsd
    architectures, as suggested by Petr Salinger. (Closes: 468154)
  * Bump Standards-Version to 3.8.0:
    - Add a Homepage field in debian/control.

 -- Nicolas Boullis <nboullis@debian.org>  Sun, 08 Jun 2008 23:39:24 +0200

libcdio (0.78.2+dfsg1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix GCC 4.3 compatibility, patch by Daniel Schepler
    (Closes: #461683, #461688)

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 19 Mar 2008 23:39:49 +0100

libcdio (0.78.2+dfsg1-2) unstable; urgency=high

  * This update addresses the following security issue, thanks to Nico
    Golde:
    - CVE-2007-6613: a stack-based buffer overflow in the
      print_iso9660_recurse function could lead to cause a denial of
      service or arbitrary code execution if the iso-info or cd-info tool
      is used with a crafted iso image. (Closes: #459129)
  * Support GNU/kFreeBSD systems, thanks to Petr Salinger for his
    patch. (Closes: #449457)
  * Bump Standards-Version to 3.7.3 (no change needed).

 -- Nicolas Boullis <nboullis@debian.org>  Mon,  7 Jan 2008 00:34:44 +0100

libcdio (0.78.2+dfsg1-1) unstable; urgency=low

  * Repack the source tarball to remove non-DFSG-free
    documentation. Thanks to Joerg Jaspert for pointing this.
  * Also update debian/copyright to reflect the status of the removed
    documentation.
  * Add libncurses5-dev | libncurses-dev to the build-dependencies, for
    cdda-player.

 -- Nicolas Boullis <nboullis@debian.org>  Thu,  4 Oct 2007 00:52:35 +0200

libcdio (0.78.2-1) unstable; urgency=low

  * New upstream release. (Closes: #418604)
    - Handle ISO 9660 images larger that 2GB. (Closes: #432939)
    - No more iso9660_find_ifs_lsn function declared in iso9660.h but a
      iso9660_ifs_find_lsn that really is in libiso9660. (Closes: #395590)
  * Fix the handling of errors with strtol (taken from CVS).
  * Fix an off-by-one bug in the set_ltime_field macro, that lead to a
    random failure of the regression test.
  * Install all pkgconfig files.
  * Include manpages generated with help2man and slightly updated; install
    them.
  * Update the package names to track the sonames.
  * Add libcdio-utils, libudf0, libudf-dev packages.
  * Bump Standards-Version to 3.7.2 (no change needed).
  * Add a section to the source package, as suggested by lintian.
  * Use ${binary:Version} instead of the deprecated ${Source-Version},
    as suggested by lintian.
  * Don't ignore failures of "make distclean", as suggested by lintian.

 -- Nicolas Boullis <nboullis@debian.org>  Mon, 10 Sep 2007 00:42:47 +0200

libcdio (0.76-1) unstable; urgency=low

  * New upstream release. (Closes: #300903)
    - "new" isn't used anymore as an identifier in the header
       files. (Closes: #329082)
    - add new libcdio_cdda and libcdio_paranoia libraries.
  * Bump Standards-Version to 3.6.2 (no change needed).
  * Update the postal address of the FSF.
  * Move all -dev packages from section devel to section libdevel.
  * Add "--disable-cddb --disable-vcd-info" to the configure flags, to
    ensure a consistent build, even if libvcdinfo-dev or libcddb-dev in
    installed.

 -- Nicolas Boullis <nboullis@debian.org>  Mon, 26 Sep 2005 00:02:13 +0200

libcdio (0.71-2) unstable; urgency=low

  * Comment out all extraneous declarations of
    'gl_default_cdio_log_handler'. (Closes: #289694)
  * Fix the broken symbol-versionning script.

 -- Nicolas Boullis <nboullis@debian.org>  Sun,  6 Feb 2005 00:17:06 +0100

libcdio (0.71-1) unstable; urgency=low

  * New upstream release. (Closes: #266778, #271236)
  * Update the package names to track the sonames.
  * Add a build-dependency on libpopt-dev, to ensure that all the tools
    are built and all the tests are run.
  * Fix a typo in upstream's lib/Makefile.am.

 -- Nicolas Boullis <nboullis@debian.org>  Thu,  9 Dec 2004 00:58:32 +0100

libcdio (0.68-2) unstable; urgency=low

  * dh_install's --sourcedir option was added in debhelper 4.0.4; fix
    debian/control accordingly. Thanks to Koos van den Hout for pointing
    the problem. (Closes: #252679)
  * Moreover, dh_shlibdeps's -L option was only added in debhelper
    4.1.1. Bump the versioned build-dependency again.

 -- Nicolas Boullis <nboullis@debian.org>  Fri,  4 Jun 2004 22:17:21 +0200

libcdio (0.68-1) unstable; urgency=low

  * New upstream release.
    - Solve a few memory leaks and other memory errors discovered thanks
      to valgrind.

 -- Nicolas Boullis <nboullis@debian.org>  Fri, 16 Apr 2004 01:20:28 +0200

libcdio (0.67-1) unstable; urgency=low

  * New upstream release.
  * Update shlibs accordingly.

 -- Nicolas Boullis <nboullis@debian.org>  Sun, 14 Mar 2004 19:33:06 +0100

libcdio (0.66-2) unstable; urgency=low

  * Move GNUC_PACKED attribute to the proper place in include/cdio/xa.h in
    order to fix build failure on ARM.
  * Fix debian/watch file.

 -- Nicolas Boullis <nboullis@debian.org>  Wed,  3 Mar 2004 20:41:12 +0100

libcdio (0.66-1) unstable; urgency=low

  * Initial Release. (Closes: #199402)

 -- Nicolas Boullis <nboullis@debian.org>  Mon, 16 Feb 2004 01:37:43 +0100
